Get a settlement by ID
curl --request GET \
--url https://api.anchorage-staging.com/v2/atlas/settlements/{settlementId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/atlas/settlements/{settlementId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/atlas/settlements/{settlementId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"settlement": {
"acceptorSide": {
"participantId": "<string>",
"authorized": true,
"feesFunded": true,
"funded": true,
"gasStationEnabled": true,
"walletAmounts": [
{
"assetType": "BTC",
"quantity": "10.45234733",
"walletId": "<string>"
}
]
},
"clientReferenceId": "<string>",
"pendingAcceptorReview": true,
"proposerSide": {
"participantId": "<string>",
"authorized": true,
"feesFunded": true,
"funded": true,
"gasStationEnabled": true,
"walletAmounts": [
{
"assetType": "BTC",
"quantity": "10.45234733",
"walletId": "<string>"
}
]
},
"settlementId": "<string>",
"state": "ActionNeeded"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Get a settlement by ID
Permissions required: Read vault activity
Get a single settlement by its ID.
GET
/
atlas
/
settlements
/
{settlementId}
Get a settlement by ID
curl --request GET \
--url https://api.anchorage-staging.com/v2/atlas/settlements/{settlementId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/atlas/settlements/{settlementId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/atlas/settlements/{settlementId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"settlement": {
"acceptorSide": {
"participantId": "<string>",
"authorized": true,
"feesFunded": true,
"funded": true,
"gasStationEnabled": true,
"walletAmounts": [
{
"assetType": "BTC",
"quantity": "10.45234733",
"walletId": "<string>"
}
]
},
"clientReferenceId": "<string>",
"pendingAcceptorReview": true,
"proposerSide": {
"participantId": "<string>",
"authorized": true,
"feesFunded": true,
"funded": true,
"gasStationEnabled": true,
"walletAmounts": [
{
"assetType": "BTC",
"quantity": "10.45234733",
"walletId": "<string>"
}
]
},
"settlementId": "<string>",
"state": "ActionNeeded"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
ID of settlement to fetch
Minimum string length:
1Response
settlement
A settlement is a proposal to move assets between wallets owned by two participants.
When the settlement status is ActionNeeded, refer to your participant's settlement side (proposerSide or acceptorSide) for more detailed information. Fields on the settlement side reflect the individual actions needed.
Show child attributes
Show child attributes
Was this page helpful?